{$I QRDESIGN.INC}

unit qrd3rdpartycontrol_QRDTeeChart;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
   StdCtrls, QRDesign, qrtee;



type
  TQRDTeeChartPropForm = class(TForm)
    CancelButton: TButton;
    OKButton: TButton;
    Edit1: TEdit;
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    QRD: TQRepDesigner;
  end;

type
  TQRDTeeChart = class(tqrchart)  // REPLACE this with the class of the qr tee chart.
  private
  protected
    procedure Paint;override;
  public
    procedure Print(OfsX, OfsY: Integer); override;
  published
  end;

{--------------------------------------------------------------------------------}
{--------------------------------------------------------------------------------}

implementation

uses
  QRDConst, QRDExBld, QRDProcs, Quickrpt, QRD3rdPartyControls;

{$R *.DFM}

{$R *.RES} { include resource file containing button glyph for report editor }

{--------------------------------------------------------------------------------}

procedure TQRDTeeChart.Print(OfsX, OfsY: Integer);
begin
  Inherited Print(OfsX, OfsY);
end;

{--------------------------------------------------------------------------------}
procedure TQRDTeeChart.Paint;
begin
    inherited paint;
end;

{--------------------------------------------------------------------------------}
{--------------------------------------------------------------------------------}
// this routine shows the edit form designed in this file
// there must be controls to allow the user to edit some of the properties of TQRChart.
procedure EditQRTee(QRDesigner: TQRepDesigner; Control: TQRPrintable; var Result: Boolean);
var
  TC: TQRDTeeChart;
begin
  Result:=False;
  TC:=TQRDTeeChart(Control);
  With TQRDTeeChartPropForm.Create(QRDesigner.Owner) Do
  try
    QRD:=QRDesigner;
    //edit1.Text := TC.string_property  // when you write TC. you should get the properties you need to set.
    If ShowModal=mrOk Then
    begin
         // capture the values
        //TC.string_property := edit1.Text;  // the control gets the property that the user has set
        Result:=True;
   end;

  finally
    Free;
  end;
end;

{--------------------------------------------------------------------------------}
{--------------------------------------------------------------------------------}

procedure TQRDTeeChartPropForm.FormCreate(Sender: TObject);
var
    b : integer;
begin
     // initialize the forms controls
end;

initialization
 RegisterQRDThirdPartyControl(2004,
                               TQRDTeeChart,
                               EditQRTee,
                               CreateBitmapFromResource('QRDTeeChart'),
                               'QRDTeeChart');

end.
